using System;
using System.Collections.Generic;
using Server.Items;

namespace Server.Mobiles
{
	public class SBBeekeeper : SBInfo
	{
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBBeekeeper()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : List<GenericBuyInfo>
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( typeof( JarHoney ), 3, 20, 0x9EC, 0 ) );
				Add( new GenericBuyInfo( typeof( Beeswax ), 2, Utility.RandomMinMax(40,80), 0x1422, 0 ) );
				Add( new GenericBuyInfo( typeof( CandleShort ), 80, 20, 0x142F, 0 ) );
				Add( new GenericBuyInfo( typeof( CandleMedium ), 160, 20, 0x1437, 0 ) );
				Add( new GenericBuyInfo( typeof( CandleLong ), 190, 20, 0x1433, 0 ) );
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
				Add( typeof( JarHoney ), 1 );
				Add( typeof( Beeswax ), 1 );
				Add( typeof( CandleShort ), 6 );
				Add( typeof( CandleMedium ), 9 );
				Add( typeof( CandleLong ), 12 );
				Add( typeof( CandleSkull ), 15 );
			}
		}
	}
}